<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobServer.Temp.JF_Tools_Form
</name>
</assembly>
<members>
<member name="T:JF.PlmJobManager.JobServer.My.Resources.Resources">
<summary>
  Eine stark typisierte Ressourcenklasse zum Suchen von lokalisierten Zeichenfolgen usw.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.ResourceManager">
<summary>
  Gibt die zwischengespeicherte ResourceManager-Instanz zurück, die von dieser Klasse verwendet wird.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.Culture">
<summary>
  Überschreibt die CurrentUICulture-Eigenschaft des aktuellen Threads für alle
  Ressourcenzuordnungen, die diese stark typisierte Ressourcenklasse verwenden.
</summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.BaseForm.#ctor">
 <remarks> 
 <br/>#New: 3.2000;02.09.2025;S.Gueth: added this base form class to activate correct scaling on windows forms
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_WidthHeight(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control,System.String)">
 <summary>
 Verwaltet die Position wie Höhe und Breite eines Contols
 </summary>
 <param name="LoadOrSave_p"></param>
 <param name="Control_p"></param>
 <param name="Control_NameExtend_p"></param>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_WidthHeight_XYPos(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control,System.String)">
 <summary>
 Manages with and hight of Control_p
 </summary>
 <param name="LoadOrSave_p"></param>
 <param name="Control_p"></param>
 <param name="Control_NameExtend_p"></param>
 <remarks> 
 #LUp: 3.2000;03.09.2024;S.Gueth: changed loading of top and left position
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_PosTopLeft(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control,System.String)">
 <summary>
 function to load and save top and left position
 method will check if top and left postion exists, otherwise screenbound values will be set
 </summary>
 <remarks> 
 #New: 3.2000;03.09.2024;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.VarOrg_SaveRestore_Value(JF.Tools.LoadOrSave_Action,System.String,System.String,System.String)">
 <summary>
 Organiesiert AppVar speichert bzw. holt deren den Werte  
 </summary>
 <param name="doLoadOrSave_p"></param>
 <param name="VarName_p"></param>
 <param name="ValueToSave_p "></param>
 <param name="ValueDefault_p">Default Wert wenn kein wert ermittelt werden kann</param>
 <returns>gespeicherten Wert</returns>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_SaveRestore_UltraComboEditor(JF.Tools.LoadOrSave_Action,Infragistics.Win.UltraWinEditors.UltraComboEditor)">
 <summary>
 WICHTIG übertragen 
 </summary>
 <param name="doLoadOrSave"></param>
 <param name="Control_p"></param>
 <remarks>New: 2.1200;20.08.2013;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_SaveRestore_UltraCombo(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control)">
 <summary>
 WICHTIG übertragen 
 </summary>
 <param name="doLoadOrSave"></param>
 <param name="Control_p"></param>
 <remarks>New: 2.1200;20.08.2013;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_SaveRestore_DateTimePicker(JF.Tools.LoadOrSave_Action,System.Windows.Forms.DateTimePicker)">
 <summary>
 speichert die einstellungen eines DateTime Picker Controls in der USER Regestrie
 </summary>
 <param name="doLoadOrSave"></param>
 <param name="DateTimePicker_p"></param>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_SaveRestore_ToolStripMenuItem(JF.Tools.LoadOrSave_Action,System.Windows.Forms.ToolStripMenuItem)">
 <summary>
 speichert die Text werte eines Controls in der USER Regestrie oder stellt diesen wieder her
 </summary>
 <param name="doLoadOrSave"></param>
 <param name="Control_in"></param>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_Height(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control,System.String)">
 <summary>
 Verwaltet die Höhe eines Controls
 </summary>
 <param name="LoadOrSave_Action_p"></param>
 <param name="Control_p"></param>
 <param name="Control_NameExtend_p"></param>
 <remarks>
 #LUp: 3.2000;30.08.2024;S.Gueth: check if Height is bigger then 50, otherwise default settings will be loaded
 #LUp: 3.2000;17.03.2025;S.Gueth: do not set height when parent height is smaller then stored height
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.CheckInfosysUltrasplitterHeightValid(System.Windows.Forms.Control,System.Int32)">
 <summary>
 checks if current control is an infosys conected to an ultrasplitter und if these heights are valid (not to high compared to the parent control)
 </summary>
 <remarks> 
 <br/>#New: 3.2000;17.03.2025;S.Gueth
 TODO: needs more testing
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JF_Tools_Form_mod.ControlOrg_Width(JF.Tools.LoadOrSave_Action,System.Windows.Forms.Control,System.String)">
 <summary>
 Verwaltet die Breite eines Controls
 </summary>
 <param name="LoadOrSave_Action_p"></param>
 <param name="Control_p"></param>
 <param name="Control_NameExtend_p"></param>
 <remarks>
 #LUp: 3.2000;30.08.2024;S.Gueth: check if Width is bigger then 50, otherwise default settings will be loaded
 </remarks>
</member>
</members>
</doc>
